//HC-SR501 als Bewegungsmelder, vergleicht alten PIR-wert mit neuem PIR-wert und lässt bei HIGH Phase LED leuchten
//Einstellung *repeatable Trigger||single Trigger* hier egal
//Single Trigger:Bei Bewegung läuft ein festgelegtes Zeitfenster HIGH ab (LINKER POTI, 3sec bis 5min)
//Repeatable Trigger: Bei Bewegung läuft HIGH Zeitfester ab, wenn darin wieder Bewegung erkannt wird, wird das zeitfenster wieder neu gestartet und verlängert.
//Nach diesen HIGH signal folgt in beiden fällen ein 3 sekündiges LOW Fenster, hier wird keine bewegung erkannt

//Hier zwei Bewegungsmelder


int ledPin = D1;  // LED on Pin 1 of ESP
int pirPin1 = D0; // Input for HC-SR501
int pirPin2 = D2;
int pirValueNeu1; // Place to read PIR Value
int pirValueAlt1 = 0; //Place to store read PIR Value
int pirAn1;
int pirAus1;
int pirValueNeu2; // Place to read PIR Value
int pirValueAlt2 = 0; //Place to store read PIR Value
int pirAn2;
int pirAus2;

void setup() {
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);
  pinMode(pirPin1, INPUT);
  pinMode(pirPin2, INPUT);
  digitalWrite(ledPin, LOW);
}

void loop() {
  pirValueNeu1 = digitalRead(pirPin1);
  pirValueNeu2 = digitalRead(pirPin2);
  digitalWrite(ledPin,(pirValueNeu1|pirValueNeu2));
  pirAn1= ((pirValueNeu1==1)&&(pirValueAlt1==0));
  pirAn2= ((pirValueNeu2==1)&&(pirValueAlt2==0));
  pirAus1= ((pirValueNeu1==0)&&(pirValueAlt1==1));
  pirAus2= ((pirValueNeu2==0)&&(pirValueAlt2==1));
  
  if(pirAn1)
  Serial.println("Steigende Flanke von PIR1");
  if(pirAn2)
  Serial.println("Steigende Flanke von PIR2");
  if(pirAus1)
  Serial.println("Fallende Flanke von PIR1");
  if(pirAus2)
  Serial.println("Fallende Flanke von PIR2");
  

/*    if(pirAn1&&(!pirValueNeu2)){                   //Case1.1:Flanke von PIR 1, PIR 2 auf 0
    Serial.println("Motion from PIR1!");
  }
   if(pirAn2&&(!pirValueNeu1)){                  //Case1.2:Flanke von PIR 2, PIR 1 auf 0
    Serial.println("Motion from PIR2!");
  }
   if(pirAn1&&pirValueNeu2){                      //Case2.1:Flanke von PIR 1, PIR 2 schon auf 1; Zustand von PIR 1 wird angenommen
    Serial.println("Motion from PIR 1, while PIR 2 was already triggered!");
  }
  if(pirAn2&&pirValueNeu1){                       //Case2.1:Flanke von PIR 2, PIR 1 schon auf 1; Zustand von PIR 2 wird angenommen
    Serial.println("Motion from PIR 2, while PIR 1 was already triggered!");
  }
  if(pirAn1&&pirAn2){                       //Case3:Beide PIR sensoren gleichzeit geriggert, unwahrscheinlich
    Serial.println("Motion from PIR 1 and PIR 2!");
  }
  */
    pirValueAlt1=pirValueNeu1;
    pirValueAlt2=pirValueNeu2;

  

}

